<?php
$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_4d707fab93bebb00bbe69" . "e8159697c90" => base64_decode(""), "_631d755" . "6520d525" . "f4e21782" . "98bd33b7" . "5" => base64_decode("L14oW2EtekEtWjAtOV0oW2EtekEtWjAtOVwtXXswLDYxfVthLXpBLVowLTldKT9" . "cLikrW2EtekEtWl17Miw2fSQv"), "_6598efee79451e" . "62665ab6655c28e" . "0da" => base64_decode("fl5ccypbKy1dP1xkK" . "1xzKiR+"), "_e8dab39d597310d35fbddc" . "3c58d6f1a1" => base64_decode("cGFyc2VfYWRkcm" . "Vzc2Vz"), "_0eb85af3fd019e9" . "1c2f55a5e6d53ec1" . "9" => base64_decode("YWRkcm" . "Vzcw=="), "_b0338d45b964dad13d" . "3a99d75556c70b" => base64_decode("Li4vY29tbW9uL21haWxfcGFyc2VfYWRk" . "cmVzcy5waHA="), "_31767d7ad58" . "e706dbf47b7a" . "51a0fe6c4" => base64_decode("Y29" . "1bn" . "Q="), "_db6f0ba0791e9a63540765" . "9a9fe04e40" => base64_decode("aXNfb2JqZWN" . "0"), "_62d701c3c53404f06345eb3" . "5720a47b4" => base64_decode("aXNfbnVtZXJpYw=" . "="), "_5c2288bcc81e60ad3a7b0e6ec6" . "7b9420" => base64_decode("L15bYS16QS1aMC05LiEjJCUmJyorXC89P15fYHt8fX4tXStAW2EtekEtWjAtOV0oPzpbYS16QS1aMC05LV17MCw2MX1bYS16QS1aMC05XSk/KD86XC5bYS16QS1aMC05XSg/OlthLXpBLVowLTktXXswLDYxfVthLXpBLVowLTldKT8pKi" . "Qv"), "_7f628626dd1d55c71b1fc0932ffd1" . "d2c" => base64_decode("aXNfYXJ" . "yYXk="), "_d41ec95e074c12c953f52553c9" . "95c31d" => base64_decode("L1xzKjwoW14+XS" . "opPi8="), "_d155d43a39de93f858123c6b6" . "ce31d8a" => base64_decode("cHJlZ19" . "tYXRjaA" . "=="), "_5e9a99dc0dd49b90" . "7abf1b35e96965f8" => base64_decode("dHJpb" . "Q=="), "_a591754a8ddcdbda9c80" . "f1db4d911e14" => base64_decode("aXNfbnV" . "sbA=="), "_ad91c758fdbad4d3337db09e238b2" . "56f" => base64_decode("aXNfc2" . "NhbGFy"));






class InputFilter
{
    const INT_NOT_NULL = 1;
    const INT_OR_NULL = 2;
    const FLOAT_NOT_NULL = 3;
    const FLOAT_OR_NULL = 4;
    const STRING_NOT_EMPTY = 5;
    const STRING_OR_EMPTY = 6;
    const EMAIL_STRONG = 7;
    const DOMAIN = 8;
    const ARRAY_NOT_NULL = 9;
    const ARRAY_OR_NULL = 10;
    const EMAIL_LIST = 11;
    const MAILBOX_STRONG = 12;
    public static function IsValid($value, $type)
    {
        if ($type !== self::ARRAY_NOT_NULL && $type !== self::ARRAY_OR_NULL && !$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_ad91c758fdbad4d3337db09" . "e238b256f"]($value) && !$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_a591754a8ddcdbda9c80f1" . "db4d911e14"]($value)) {
            return false;
        }
        switch ($type) {
            case self::INT_NOT_NULL:
                return self::IsInt($value);
            case self::INT_OR_NULL:
                return self::IsInt($value, true);
            case self::FLOAT_NOT_NULL:
                return self::IsFloat($value);
            case self::FLOAT_OR_NULL:
                return self::IsFloat($value, true);
            case self::STRING_NOT_EMPTY:
                return self::IsStringNotEmpty($value);
            case self::STRING_OR_EMPTY:
                return true;
            case self::EMAIL_STRONG:
                return self::IsStrongEmail($value);
            case self::DOMAIN:
                return self::IsDomain($value);
            case self::ARRAY_NOT_NULL:
                return self::IsArray($value);
            case self::ARRAY_OR_NULL:
                return self::IsArray($value, true);
            case self::EMAIL_LIST:
                return self::IsEmailList($value);
            case self::MAILBOX_STRONG:
                return self::IsMailboxStrong($value);
            default:
                return false;
        }
    }
    protected static function IsArray($_fd9abf76fd2d2f2325b7cdba6082e462, $_e8d00f92e862850a9b96127c57fa9f2f = false)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_a591754a8ddc" . "dbda9c80f1db4" . "d911e14"]($_fd9abf76fd2d2f2325b7cdba6082e462)) {
            return $_e8d00f92e862850a9b96127c57fa9f2f;
        }
        return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_7f628626" . "dd1d55c71" . "b1fc0932f" . "fd1d2c"]($_fd9abf76fd2d2f2325b7cdba6082e462);
    }
    protected static function IsInt($_fd9abf76fd2d2f2325b7cdba6082e462, $_e8d00f92e862850a9b96127c57fa9f2f = false)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_a591754a8ddcdbda9c" . "80f1db4d911e14"]($_fd9abf76fd2d2f2325b7cdba6082e462) || self::IsEmptyString($_fd9abf76fd2d2f2325b7cdba6082e462)) {
            return $_e8d00f92e862850a9b96127c57fa9f2f;
        }
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_7f628626dd1d55c71b1fc0932ff" . "d1d2c"]($_fd9abf76fd2d2f2325b7cdba6082e462) || $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_db6f0ba0" . "791e9a635" . "407659a9f" . "e04e40"]($_fd9abf76fd2d2f2325b7cdba6082e462)) {
            return false;
        }
        if ($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_d155d43a39de" . "93f858123c6b6" . "ce31d8a"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_6598efee79451e62665ab6655c" . "28e0da"], $_fd9abf76fd2d2f2325b7cdba6082e462)) {
            return true;
        }
        return false;
    }
    public static function IsEmptyString($_66824e0309bb76c78bd2bbd5fda8d3d8)
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_5e9a99dc0dd" . "49b907abf1b3" . "5e96965f8"]($_66824e0309bb76c78bd2bbd5fda8d3d8) == $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_4d707fab93" . "bebb00bbe69" . "e8159697c90"];
    }
    protected static function IsFloat($_fd9abf76fd2d2f2325b7cdba6082e462, $_e8d00f92e862850a9b96127c57fa9f2f = false)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_a591754a8ddcd" . "bda9c80f1db4d9" . "11e14"]($_fd9abf76fd2d2f2325b7cdba6082e462) || self::IsEmptyString($_fd9abf76fd2d2f2325b7cdba6082e462)) {
            return $_e8d00f92e862850a9b96127c57fa9f2f;
        }
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_62d701c3c53404f06345e" . "b35720a47b4"]($_fd9abf76fd2d2f2325b7cdba6082e462)) {
            return true;
        }
        return false;
    }
    protected static function IsStringNotEmpty($_fd9abf76fd2d2f2325b7cdba6082e462)
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_5e9a99dc0dd49b907ab" . "f1b35e96965f8"]($_fd9abf76fd2d2f2325b7cdba6082e462) !== $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb00bbe69e8159697c" . "90"];
    }
    protected static function IsStrongEmail($_fd9abf76fd2d2f2325b7cdba6082e462)
    {
        
        
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d155d43a39de93f858123c6b6c" . "e31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_5c2288bcc81e60ad" . "3a7b0e6ec67b9420"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_5e9a99dc0dd4" . "9b907abf1b35e" . "96965f8"]($_fd9abf76fd2d2f2325b7cdba6082e462))) {
            return true;
        }
        return false;
    }
    protected static function IsDomain($_fd9abf76fd2d2f2325b7cdba6082e462)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_d155d43a39de93f858123c6b6ce31d" . "8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_631d7556520d525f4e" . "2178298bd33b75"], $_fd9abf76fd2d2f2325b7cdba6082e462)) {
            return true;
        }
        return false;
    }
    protected static function IsEmailList($_fd9abf76fd2d2f2325b7cdba6082e462)
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_b0338d45b964dad13d3a99d75556c7" . "0b"];
        $_f2e90e88b5f7e0dea9318d967a6ebd42 = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_e8dab39d597310d35fbd" . "dc3c58d6f1a1"]($_fd9abf76fd2d2f2325b7cdba6082e462);
        if (false === $_f2e90e88b5f7e0dea9318d967a6ebd42 || !$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_31767d7ad58e706dbf47b7a51a0fe" . "6c4"]($_f2e90e88b5f7e0dea9318d967a6ebd42)) {
            return false;
        }
        foreach ($_f2e90e88b5f7e0dea9318d967a6ebd42 as $_c2f6f7dc50f77b2d217bd2e23a6ff2a0) {
            if (!self::IsStrongEmail($_c2f6f7dc50f77b2d217bd2e23a6ff2a0[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0eb85af3fd019e91c2f55a5e6d53" . "ec19"]])) {
                return false;
            }
        }
        return true;
    }
    protected static function IsMailboxStrong($_fd9abf76fd2d2f2325b7cdba6082e462) : bool
    {
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_d155d43a39de93f858123c" . "6b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_d41ec95e074c12c953" . "f52553c995c31d"], $_fd9abf76fd2d2f2325b7cdba6082e462, $_3edeea3a30945de8abb845ca7489c82a);
        $_c2f6f7dc50f77b2d217bd2e23a6ff2a0 = $_3edeea3a30945de8abb845ca7489c82a[1] ?? $_fd9abf76fd2d2f2325b7cdba6082e462;
        if (self::IsStrongEmail($_c2f6f7dc50f77b2d217bd2e23a6ff2a0)) {
            return true;
        }
        return false;
    }
}